Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QTcpServer

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QTcpServer class reference

### Protected Functions

- virtual void incomingConnection ( int socketDescriptor ) `(obsolete)`

## Member Function Documentation

### void QTcpServer::incomingConnection ( int socketDescriptor ) `[virtual protected]`

This virtual function is called by QTcpServer when a new connection is available. The socketDescriptor argument is the native socket descriptor for the accepted connection.

The base implementation creates a QTcpSocket, sets the socket descriptor and then stores the QTcpSocket in an internal list of pending connections. Finally newConnection() is emitted.

Reimplement this function to alter the server's behavior when a connection is available.

See also newConnection() and nextPendingConnection().